For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Use the REST API to interact with Webhooks

Webhooks will be triggered when specific events occur.

We currently support the following webhook events:

  • lead.created

    • Triggered when a lead has been created

  • lead.quality_score.created

    • Triggered when a quality score has been created for a lead

  • lead.quality_score.updated

    • Triggered when the quality score of a lead has been updated

Creating a new webhook

Add a new webhook

post

Add a new webhook for lead.created event

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
eventstring · enumRequired

The event for which the webhook will be triggered

Possible values:
urlstring · uriRequired

The URL to which the webhook will send the payload

Example: https://example.com/webhook-receiver
http_verbstring · enumRequired

The HTTP verb to be used when sending the payload (e.g., POST, GET, PUT, DELETE)

Possible values:
Header parameters
AcceptstringRequired

Request content type

Example: application/json
Responses
201

Webhook created successfully

No content

post/webhooks
POST /public/webhooks?event=lead.created&url=https%3A%2F%2Fexample.com%2Fwebhook-receiver&http_verb=POST HTTP/1.1
Host: api2.engineroom.com.au
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/json

No content

Deleting a webhook

Delete a webhook

delete

Delete an existing webhook by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the webhook to be deleted

Example: 296130fc-6fa5-48db-a571-925d60309ed1
Header parameters
AcceptstringRequired

Request content type

Example: application/json
Responses
200

Webhook deleted successfully

No content

delete/webhooks/{id}
DELETE /public/webhooks/{id} HTTP/1.1
Host: api2.engineroom.com.au
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: application/json

No content

Last updated